#ifndef LIFO_H_
#define LIFO_H_

#include <iostream>

namespace cont
{
    /* klasa implementujaca kolekcje lifo (stos) dla elementow El */
    template<class El> class Lifo
    {
    public:
        Lifo(int size);
        Lifo(const Lifo&);
        Lifo& operator=(const Lifo&);
        ~Lifo();

        Lifo& push(const El& el);
        Lifo& pop(El& el);

		void write(std::ostream& os) const;
    private:
        El* tab_;
		int size_;
		int pos_;
    };
}

#include "lifo_impl.h"

#endif
